Subject: Re: bug#25361: info_TEXINFOS cannot be set conditionally?

From: Benno Schulenberg <[email-masked]>
Date: Sat, 07 Jan 2017 16:16:58 +0100

On Fri, Jan 6, 2017, at 00:37, Hans-Bernhard Bröker wrote:
> Am 04.01.2017 um 21:35 schrieb Benno Schulenberg:
> > What I would like to achieve is that the doc/Makefile that is
> > the result of ./configure contains rules that only try to build
> > nano.info and nano.html from nano.texi /if/ makeinfo is available,
> 
> That's what the 'missing' mechanism does automatically already.  So the 
> only thing you need to do for that is to have nano.info and nano.html 
> files in your tarball.

Okay, that works now.

> > and only tries to install nano.info and nano.html if /either/ they
> > already exist or makeinfo is available.
> 
> Again, all you have to do is distribute the files, and they'll be used 
> if they can't be rebuilt.

True.  But if they are not distributed (like in git), I would like the
install rules to be just skipped /if/ makeinfo is not available.  So,
if nano.info and nano.html are already there, install them, but if
they are not and 'makeinfo' is absent, don't even /try/ to build them.
I don't see how I can achieve that.

> You will have to change the way you call makeinfo to let 'missing' 
> actually do its job, though :-P

Thanks for the hint.  :)  The specific rule was not needed, as
automake provides it by default.

Benno

-- 
http://www.fastmail.com - Email service worth paying for. Try it for free